/*! normalize.css v8.0.0 | MIT License | github.com/necolas/normalize.css */

/* Document
   ========================================================================== */

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */

html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
}

/* Sections
   ========================================================================== */

/**
 * Remove the margin in all browsers.
 */

body {
  margin: 0;
}

/**
 * Correct the font size and margin on `h1` elements within `section` and
 * `article` contexts in Chrome, Firefox, and Safari.
 */

h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

/* Grouping content
   ========================================================================== */

/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */

hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */

pre {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}

/* Text-level semantics
   ========================================================================== */

/**
 * Remove the gray background on active links in IE 10.
 */

a {
  background-color: transparent;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */

abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */

b,
strong {
  font-weight: bolder;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */

code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}

/**
 * Add the correct font size in all browsers.
 */

small {
  font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/* Embedded content
   ========================================================================== */

/**
 * Remove the border on images inside links in IE 10.
 */

img {
  border-style: none;
}

/* Forms
   ========================================================================== */

/**
 * 1. Change the font styles in all browsers.
 * 2. Remove the margin in Firefox and Safari.
 */

button,
input,
optgroup,
select,
textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}

/**
 * Show the overflow in IE.
 * 1. Show the overflow in Edge.
 */

button,
input { /* 1 */
  overflow: visible;
}

/**
 * Remove the inheritance of text transform in Edge, Firefox, and IE.
 * 1. Remove the inheritance of text transform in Firefox.
 */

button,
select { /* 1 */
  text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */

button,
[type="button"],
[type="reset"],
[type="submit"] {
  -webkit-appearance: button;
}

/**
 * Remove the inner border and padding in Firefox.
 */

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

/**
 * Correct the padding in Firefox.
 */

fieldset {
  padding: 0.35em 0.75em 0.625em;
}

/**
 * 1. Correct the text wrapping in Edge and IE.
 * 2. Correct the color inheritance from `fieldset` elements in IE.
 * 3. Remove the padding so developers are not caught out when they zero out
 *    `fieldset` elements in all browsers.
 */

legend {
  box-sizing: border-box; /* 1 */
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */

progress {
  vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */

textarea {
  overflow: auto;
}

/**
 * 1. Add the correct box sizing in IE 10.
 * 2. Remove the padding in IE 10.
 */

[type="checkbox"],
[type="radio"] {
  box-sizing: border-box; /* 1 */
  padding: 0; /* 2 */
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}

/**
 * 1. Correct the odd appearance in Chrome and Safari.
 * 2. Correct the outline style in Safari.
 */

[type="search"] {
  -webkit-appearance: textfield; /* 1 */
  outline-offset: -2px; /* 2 */
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */

[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */

::-webkit-file-upload-button {
  -webkit-appearance: button; /* 1 */
  font: inherit; /* 2 */
}

/* Interactive
   ========================================================================== */

/*
 * Add the correct display in Edge, IE 10+, and Firefox.
 */

details {
  display: block;
}

/*
 * Add the correct display in all browsers.
 */

summary {
  display: list-item;
}

/* Misc
   ========================================================================== */

/**
 * Add the correct display in IE 10+.
 */

template {
  display: none;
}

/**
 * Add the correct display in IE 10.
 */

[hidden] {
  display: none;
}

@charset "UTF-8";
/*! Fragments

V4.0.0

Author: Arnaud Bérard - Mist. Graphx

Repository: https://gitlab.com/mister-graphx/fragments/framework
Issues: https://gitlab.com/mister-graphx/fragments/framework/issues

License: MIT
*/
/* # Base

Bitters 1.0.0 : bourbon starter

@see  - <http://bitters.bourbon.io/>
@see  - <http://www.w3schools.com/html/default.asp>
@liscence - MIT License

Styleguide base */
html { -webkit-box-sizing: border-box; box-sizing: border-box; }

*, *::before, *::after { -webkit-box-sizing: inherit; box-sizing: inherit; }

body { -webkit-font-feature-settings: "kern", "liga", "pnum"; font-feature-settings: "kern", "liga", "pnum"; margin: 0; padding: 0; background: #fffefc; color: #333; font-family: system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; font-weight: 400; font-style: normal; font-size: 1em; line-height: 1.5; }

/* # Typo

Styleguide base.typography
*/
/* # html basic

Set the basic styling for default
headings, paragraphs, image, picture

Markup:
<div class="wrapper">
<h1 id="headings">Headings</h1>
<h1></h1>
<h2></h2>
<h3></h3>
<h4></h4>
<h5></h5>
<h6></h6>
<small><a href="#headings">[top]</a></small>
<hr />
<h1 id="paragraph">Paragraph</h1>
<img style="float:right" width="250" height="125" />
<p>Lorem ipsum dolor sit amet, <a href="#" title="test link">test link</a> adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.</p>
<p>Lorem ipsum dolor sit amet, <em>emphasis</em> consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.</p>
<small><a href="#headings">[top]</a></small>
<hr />
</div>

Styleguide base.typography.general
*/
h1, h2, h3, h4, h5, h6 { font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif, sans-serif; font-weight: 400; font-style: normal; font-size: 1em; line-height: 1.2; margin: 0; }

p, .texte .text-center { margin: 0 0 0.75em; }

a { color: #477dca; text-decoration: none; -webkit-transition: color 0.1s linear; transition: color 0.1s linear; }

a:active, a:focus, a:hover { color: #2c5999; }

a:active, a:focus { outline: none; }

hr { border-bottom: 1px solid #ddd; border-left: none; border-right: none; border-top: none; margin: 1.5em auto; }

/** # Selection

Markup:
<p>Try to select me</p>

Styleguide base.typography.selections
*/
::-moz-selection { background-color: #ddd; color: #000; }
::selection { background-color: #ddd; color: #000; }

::-moz-selection { background-color: #ddd; color: #000; }

/* # Lists

Styleguide base.lists
*/
/* # ul/ol Lists



.list--default - Reset Default styling for lists
.list--inline

Markup:
<h2>Un-ordered</h2>
<ul class="$modifierClass">
  <li></li>
  <li></li>
  <li></li>
  <li></li>
</ul>
<h2>Ordered</h2>
<ol class="$modifierClass">
  <li></li>
  <li></li>
  <li></li>
  <li></li>
</ol>

@package \base\lists
@see - <https://github.com/thoughtbot/bitters#lists>
@extend %default-ul - Reset ul to default styling
@extend %default-ol - Reset ol to default stiling

Styleguide base.lists.ul
*/
ul, ol { list-style-type: none; margin: 0; padding: 0; }

ul.list--default, ul.default, .texte ul { list-style-type: disc; margin-bottom: 1.5em; padding-left: 1.5em; }

ol.list--default, .texte ol { list-style-type: decimal; margin-bottom: 1.5em; padding-left: 1.5em; }

ul.list--inline, .composition_blog .list-items.blog-posts .item .item-details ul, ul.inline, ol.list--inline, ol.inline { padding-left: 0; }

ul.list--inline li, .composition_blog .list-items.blog-posts .item .item-details ul li, ul.inline li, ol.list--inline li, ol.inline li { display: inline-block; list-style: none; padding-left: 1.5em; }

ul.list--inline li:first-child, .composition_blog .list-items.blog-posts .item .item-details ul li:first-child, ul.inline li:first-child, ol.list--inline li:first-child, ol.inline li:first-child { padding-left: 0; }

/* # Definitions lists

.dl--inline - inline definition lists

Markup:
<dl class="$modifierClass">
  <dt></dt>
    <dd></dd>
  <dt></dt>
    <dd></dd>
</dl>

@see - <http://www.the-art-of-web.com/css/format-dl/>
@see - <http://lea.verou.me/2012/02/flexible-multiline-definition-lists-with-2-lines-of-css/>
$bp-dl-inline {sting} ($bp-s !default) - Breakpoint for switchnig between inline or classic definition presentation.;

Styleguide base.lists.dl
*/
dl { margin-bottom: 0.75em; }

dl dt { font-weight: bold; margin-top: 0.75em; }

dl dd { margin: 0; }

dl.dl--inline dt, .texte dl dt, dl.dl--inline dd, .texte dl dd, dl.inline dt, dl.inline dd { display: inline; margin: 0; }

dl.dl--inline dd:after, .texte dl dd:after, dl.inline dd:after { content: '\A'; white-space: pre; }

/* # Tables


Markup:
<table cellspacing="0" cellpadding="0">
    <caption>Table caption</caption>
    <thead>
    <tr>
      <th>Table Header 1</th><th>Table Header 2</th>
      <th>Table Header 3</th>
    </tr>
    </thead>
    <tbody>
    <tr>
      <td>Division 1</td><td>Division 2</td><td>Division 3</td>
    </tr>
    <tr class="even">
      <td>Division 1</td><td>Division 2</td><td>Division 3</td>
    </tr>
    <tr>
      <td>Division 1</td><td>Division 2</td><td>Division 3</td>
    </tr>
  </tbody>
</table>

Styleguide base.tables
*/
table { -webkit-font-feature-settings: "kern", "liga", "pnum"; font-feature-settings: "kern", "liga", "pnum"; border-collapse: collapse; margin: 0.75em 0; table-layout: fixed; width: 100%; }

th { border-bottom: 1px solid #b7b7b7; font-weight: 600; padding: 0.75em 0; text-align: left; }

td { border-bottom: 1px solid #ddd; padding: 0.75em 0; }

tr, td, th { vertical-align: middle; }

button, [type='button'], [type='reset'], [type='submit'] { display: inline-block; cursor: pointer; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; vertical-align: middle; white-space: nowrap; -webkit-appearance: none; -moz-appearance: none; appearance: none; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-smooth: always; background-color: #63ab22; border: 1px solid #ddd; border-radius: 4px; color: white; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-size: 1em; font-weight: 600; line-height: 1.5; padding: 0.75em 1.5em; text-align: center; text-decoration: none; }

button:hover, button:focus, [type='button']:hover, [type='button']:focus, [type='reset']:hover, [type='reset']:focus, [type='submit']:hover, [type='submit']:focus { background-color: #4a801a; color: #000; }

button:disabled, [type='button']:disabled, [type='reset']:disabled, [type='submit']:disabled { cursor: not-allowed; opacity: 0.5; }

button:disabled:hover, [type='button']:disabled:hover, [type='reset']:disabled:hover, [type='submit']:disabled:hover { background-color: #477dca; }

/** # Forms

Markup:
<fieldset>
    <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent
        mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus.</p>
    <form>
         <h2>Form Element</h2>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui.</p>
        <p>
            <label for="text_field">Text Field:</label>
            <input type="text" id="text_field">
        </p>
        <p>
            <label for="text_area">Text Area:</label>
            <textarea id="text_area"></textarea>
        </p>
        <p>
            <label for="select_element">Select Element:</label>
            <select name="select_element">
                <optgroup label="Option Group 1">
                    <option value="1">Option 1</option>
                    <option value="2">Option 2</option>
                    <option value="3">Option 3</option>
                </optgroup>
                <optgroup label="Option Group 2">
                    <option value="1">Option 1</option>
                    <option value="2">Option 2</option>
                    <option value="3">Option 3</option>
                </optgroup>
            </select>
        </p>
        <p>
            <label for="radio_buttons">Radio Buttons:</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_1">Radio 1</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_2">Radio 2</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_3">Radio 3</label>
        </p>
        <p>
            <label for="checkboxes">Checkboxes:</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_1">Checkbox 1</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_2">Checkbox 2</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_3">Checkbox 3</label>
        </p>
        <p>
            <label for="password">Password:</label>
            <input type="password" class="password" name="password">
        </p>
        <p>
            <label for="file">File Input:</label>
            <input type="file" class="file" name="file">
        </p>
        <p>
            <input type="submit" value="Submit">
        </p>
    </form>
</fieldset>

Styleguide base.forms
*/
fieldset { margin: 0 0 0.75em; padding: 1.5em; border: 1px solid #ddd; border-radius: 4px; }

input, label, select { display: block; font-family: system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; font-weight: 400; font-style: normal; font-size: 1em; }

label { font-weight: 600; margin-bottom: 0.375em; line-height: 1.5; }

label.required::after { content: "*"; }

label abbr { display: none; }

[type='color'], [type='date'], [type='datetime'], [type='datetime-local'], [type='email'], [type='month'], [type='number'], [type='password'], [type='search'], [type='tel'], [type='text'], [type='time'], [type='url'], [type='week'], input:not([type]), textarea, select[multiple=multiple] { width: 100%; margin-bottom: 0.75em; padding: 0.5em; -webkit-box-sizing: border-box; box-sizing: border-box; -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06); box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06); background-color: #fffefc; border: 1px solid #ddd; border-radius: 4px; color: black; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-size: 1em; -webkit-transition: border-color; transition: border-color; }

[type='color']:hover, [type='date']:hover, [type='datetime']:hover, [type='datetime-local']:hover, [type='email']:hover, [type='month']:hover, [type='number']:hover, [type='password']:hover, [type='search']:hover, [type='tel']:hover, [type='text']:hover, [type='time']:hover, [type='url']:hover, [type='week']:hover, input:not([type]):hover, textarea:hover, select[multiple=multiple]:hover { border-color: #c4c4c4; }

[type='color']:focus, [type='date']:focus, [type='datetime']:focus, [type='datetime-local']:focus, [type='email']:focus, [type='month']:focus, [type='number']:focus, [type='password']:focus, [type='search']:focus, [type='tel']:focus, [type='text']:focus, [type='time']:focus, [type='url']:focus, [type='week']:focus, input:not([type]):focus, textarea:focus, select[multiple=multiple]:focus { border-color: #477dca; -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06), 0 0 5px rgba(55, 112, 192, 0.7); box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.06), 0 0 5px rgba(55, 112, 192, 0.7); outline: none; }

[type='color']:disabled, [type='date']:disabled, [type='datetime']:disabled, [type='datetime-local']:disabled, [type='email']:disabled, [type='month']:disabled, [type='number']:disabled, [type='password']:disabled, [type='search']:disabled, [type='tel']:disabled, [type='text']:disabled, [type='time']:disabled, [type='url']:disabled, [type='week']:disabled, input:not([type]):disabled, textarea:disabled, select[multiple=multiple]:disabled { background-color: #f2f2f2; cursor: not-allowed; }

[type='color']:disabled:hover, [type='date']:disabled:hover, [type='datetime']:disabled:hover, [type='datetime-local']:disabled:hover, [type='email']:disabled:hover, [type='month']:disabled:hover, [type='number']:disabled:hover, [type='password']:disabled:hover, [type='search']:disabled:hover, [type='tel']:disabled:hover, [type='text']:disabled:hover, [type='time']:disabled:hover, [type='url']:disabled:hover, [type='week']:disabled:hover, input:not([type]):disabled:hover, textarea:disabled:hover, select[multiple=multiple]:disabled:hover { border: 1px solid #ddd; }

[type='color']::-webkit-input-placeholder, [type='date']::-webkit-input-placeholder, [type='datetime']::-webkit-input-placeholder, [type='datetime-local']::-webkit-input-placeholder, [type='email']::-webkit-input-placeholder, [type='month']::-webkit-input-placeholder, [type='number']::-webkit-input-placeholder, [type='password']::-webkit-input-placeholder, [type='search']::-webkit-input-placeholder, [type='tel']::-webkit-input-placeholder, [type='text']::-webkit-input-placeholder, [type='time']::-webkit-input-placeholder, [type='url']::-webkit-input-placeholder, [type='week']::-webkit-input-placeholder, input:not([type])::-webkit-input-placeholder, textarea::-webkit-input-placeholder, select[multiple=multiple]::-webkit-input-placeholder { color: #a7a7a7; }

[type='color']::-moz-placeholder, [type='date']::-moz-placeholder, [type='datetime']::-moz-placeholder, [type='datetime-local']::-moz-placeholder, [type='email']::-moz-placeholder, [type='month']::-moz-placeholder, [type='number']::-moz-placeholder, [type='password']::-moz-placeholder, [type='search']::-moz-placeholder, [type='tel']::-moz-placeholder, [type='text']::-moz-placeholder, [type='time']::-moz-placeholder, [type='url']::-moz-placeholder, [type='week']::-moz-placeholder, input:not([type])::-moz-placeholder, textarea::-moz-placeholder, select[multiple=multiple]::-moz-placeholder { color: #a7a7a7; }

[type='color']:-ms-input-placeholder, [type='date']:-ms-input-placeholder, [type='datetime']:-ms-input-placeholder, [type='datetime-local']:-ms-input-placeholder, [type='email']:-ms-input-placeholder, [type='month']:-ms-input-placeholder, [type='number']:-ms-input-placeholder, [type='password']:-ms-input-placeholder, [type='search']:-ms-input-placeholder, [type='tel']:-ms-input-placeholder, [type='text']:-ms-input-placeholder, [type='time']:-ms-input-placeholder, [type='url']:-ms-input-placeholder, [type='week']:-ms-input-placeholder, input:not([type]):-ms-input-placeholder, textarea:-ms-input-placeholder, select[multiple=multiple]:-ms-input-placeholder { color: #a7a7a7; }

[type='color']::-ms-input-placeholder, [type='date']::-ms-input-placeholder, [type='datetime']::-ms-input-placeholder, [type='datetime-local']::-ms-input-placeholder, [type='email']::-ms-input-placeholder, [type='month']::-ms-input-placeholder, [type='number']::-ms-input-placeholder, [type='password']::-ms-input-placeholder, [type='search']::-ms-input-placeholder, [type='tel']::-ms-input-placeholder, [type='text']::-ms-input-placeholder, [type='time']::-ms-input-placeholder, [type='url']::-ms-input-placeholder, [type='week']::-ms-input-placeholder, input:not([type])::-ms-input-placeholder, textarea::-ms-input-placeholder, select[multiple=multiple]::-ms-input-placeholder { color: #a7a7a7; }

[type='color']::placeholder, [type='date']::placeholder, [type='datetime']::placeholder, [type='datetime-local']::placeholder, [type='email']::placeholder, [type='month']::placeholder, [type='number']::placeholder, [type='password']::placeholder, [type='search']::placeholder, [type='tel']::placeholder, [type='text']::placeholder, [type='time']::placeholder, [type='url']::placeholder, [type='week']::placeholder, input:not([type])::placeholder, textarea::placeholder, select[multiple=multiple]::placeholder { color: #a7a7a7; }

textarea { resize: vertical; }

input[type="search"] { -webkit-appearance: none; -moz-appearance: none; appearance: none; }

input[type="checkbox"], input[type="radio"] { display: inline; margin-right: 0.375em; float: left; vertical-align: bottom; height: 1.5em; }

input[type="file"] { margin-bottom: 0.75em; width: 100%; }

select { margin-bottom: 1.5em; max-width: 100%; width: auto; }

/* # Medias

Markup:
<h2>Image</h2>
<img  alt="Mountain View" width="200" height="200">
<h2>Figure</h2>
<figure>
  <img alt="The Pulpit Rock" width="304" height="228">
</figure>
<h2>Figure + Figcaption</h2>
<figure>
  <img alt="The Pulpit Rock" width="304" height="228">
  <figcaption>Fig1. - A view of the pulpit rock in Norway.</figcaption>
</figure>


@see  - [W3Scholl - html img](http://www.w3schools.com/tags/tag_img.asp)
@see  - [W3School - figcaption](http://www.w3schools.com/tags/tag_figcaption.asp)
@todo - Responsive Figure, Side-by-side Figures : https://gist.github.com/mistergraphx/a46c1f24a74dffa516bc

Styleguide base.medias
*/
img, picture { margin: 0; max-width: 100%; height: auto; }

figure { display: table; margin: 1.5em auto; }

figure > img { display: table-cell; text-align: center; vertical-align: middle; }

figcaption { color: black; font-style: italic; text-align: center; }

/* # Helpers

Helpers class

Utilities : tour d'horizon des methodes ou approches de conception
des classes utilitaires dans les divers frameworks et methodologies css
http://davidtheclark.com/on-utility-classes/

Bootstrap4 : Classes utilitaire layout et responsive
https://v4-alpha.getbootstrap.com/layout/responsive-utilities/


Tailwind : un framework de classes utilitaires : carrément overkill !!
Quelques bonnes idéees de classes utilitaires,
ou tout du moins pour le nommage
mais le concept en lui-même est plus adapté pour du prototypage …
https://tailwindcss.com/

Styleguide addons.helpers
*/
/* Color Helpers

Definir des classes utilitaires pour les couleures
https://shakrmedia.github.io/petal/docs/colors.html propose des classes txt-[color]-[l|d]
on definie via le suffixe une intensite light ou dark suivi d'une valeur numerique
on suis le meme principe pour la couleur de background avec .bg-color-densite

@todo - relativement mal nommé on est en conflit avec le composant du core color

Styleguide helpers.colors
*/
.color--primary { color: white; }

.color--secondary { color: red; }

.color--tertiary { color: orange; }

/* # Text Helpers

.text--left - align left
.text--center - align center
.text--right - align right
.text--justify - justify

Markup:
<p class="$modifierClass"></p>

$txt-namespace ('txt' !default;)
$txt-separator ('-' !default)
$txt-alignements (left,right,center,justify !default)
%txt-left
%txt-center
%txt-right
%txt-justify
%txt-truncate - prevent overflow when text is too long

Styleguide helpers.text
*/
.text--left { text-align: left; }

.text--right { text-align: right; }

.text--justify { text-align: justify; }

.text--center { text-align: center; }

.text--truncate { overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }

/* # Visibility helpers

<https://github.com/h5bp/html5-boilerplate>

.invisible              - Hide visually and from screen readers, but maintain layout
.hidden                 - Hide visually and from screen readers: h5bp.com/u
.visuallyhidden         - Hide only visually, but have it available for screen readers: h5bp.com/v
.sr-only				- Visible just for screen readers
%hidden 				- hidden placehoder
@mixin visuallyhidden 	- Visuallyhidden
@mixin sr-only			- screen reader

Styleguide addons.helpers.visibility
*/
/* Hide visually and from screen readers: h5bp.com/u */
.hidden { display: none !important; visibility: hidden; }

.visuallyhidden, .composition_blog .list-items.blog-posts .item .item-footer .sharing .sharing-title, .sr-only { border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; white-space: nowrap; width: 1px; }

.visuallyhidden.focusable:active, .composition_blog .list-items.blog-posts .item .item-footer .sharing .focusable.sharing-title:active, .visuallyhidden.focusable:focus, .composition_blog .list-items.blog-posts .item .item-footer .sharing .focusable.sharing-title:focus, .sr-only.focusable:active, .sr-only.focusable:focus { clip: auto; height: auto; margin: 0; overflow: visible; position: static; width: auto; }

.invisible { visibility: hidden; }

/* # Float Helpers

1 - block must be contained by a `.clearfix` container

.float--none - reset float
.float--right - float a block right [1]
.right - shortcut `float--right` [1]
.float--left - float a block left [1]
.left             - shortcut `float--left` [1]
.center           - center a block via margin auto
.clear            - clear both
.pull-right       - float right margin left
.pull-left        - float left margin right

Markup:
<div class="clearfix">
    <p class="$modifierClass"></p>
</div>

@see - <http://concisecss.com/archive/v3.0.0/documentation/core/alignment>  *Removed from latest concise version*
@use - toolbox/mixins/floats extrait de Compass/float/utilities

Styleguide addons.helpers.float
*/
.pull-right { float: right; margin-left: 0.75em; }

.pull-left, .signature > .thumbnail { float: left; margin-right: 0.75em; }

.center { margin: 0 auto; }

.clear, hr.clear { clear: both; }

hr.clear { border-color: transparent !important; margin: 0; }

/* # Clearfix

Source : <https://github.com/h5bp/html5-boilerplate>

Clearfix:


.clearfix - contain floats


For modern browsers

1.  The space content is one way to avoid an Opera bug when the
    `contenteditable` attribute is included anywhere else in the document.
    Otherwise it causes space to appear at the top and bottom of elements
    that receive the `clearfix` class.

2.  The use of `table` rather than `block` is only necessary if using
    `:before` to contain the top-margins of child elements.

Styleguide addons.helpers.clearfix
*/
.clearfix::after { clear: both; content: ""; display: block; }

/* # Centering

You must define the with and height relative position of the parent container

Markup:
<div style="width:100%;height:200px;position:relative;border:1px solid silver;margin: 1em 0;">
  <div class="center--all">
		<button type="button">Click Me!</button>
		<p> Horizontally and vertically centered content.</p>
	</div>
</div>

@see - <https://css-tricks.com/centering-in-the-unknown/>
@see - <http://concisecss.com/documentation/core/alignment>
$center--all - placeholder

Styleguide addons.helpers.centerall
*/
.center--all { left: 50%; position: absolute; text-align: center; top: 50%; -webkit-transform: translate(-50%, -50%); transform: translate(-50%, -50%); }

/* # full-screen

Utilise le unitée vh et vw (viewport width et viewport height)

@see  - https://github.com/KingPixil/wing/blob/master/src/util.css

Compatibility: untested

Styleguide helpers.fullscreen
*/
.full-screen { width: 100vw; height: 100vh; }

/* # Media Fluid


Markup:
<img class="media--fluid"/>

Styleguide helpers.media--fluid
*/
.media--fluid { max-width: 100%; height: auto; }

/* images style effects



%img-rounded - placeholder
%img-circle
%img-bordered

Styleguide addons.helpers.images
*/
/* images style effects */
.img-rounded { border-radius: 4px; }

.img-circle, .composition_blog .content-header .thumbnail img, .composition_blog .list-items.blog-posts .item .publication .avatar, .signature > .thumbnail img { border-radius: 50%; }

.img-bordered { padding: 4px; background-color: #fff; border: 1px solid #bbb; }

/** # Addons

Styleguide addons
*/
/* # notice

Alerts & message box

Refills components : Flash


Markup:
<div class="notice $modifierClass">
<span>This is a $modifierClass message <a href="#">with a link</a></span>
</div>


$prefix  (notice ! default) - class prefix [alert, flash]
$base-spacing (1.5em !default) -
$alert-color (#fff6bf !default) -
$error-color (#fbe3e4 !default) -
$notice-color (#e5edf8 !default) -
$success-color (#e6efc2 !default) -


Styleguide addons.uikit.notice
*/
[class^="alert"] { display: block; margin-bottom: 0.75em; padding: 0.75em; text-align: center; border-radius: 4px; }

.alert { background-color: silver; color: #272727; }

.alert a { color: #0e0e0e; text-decoration: underline; }

.alert a:focus, .alert a:hover { color: black; }

.alert-warning, .formulaire_spip .attention { background-color: #fff6bf; color: #8c7800; }

.alert-warning a, .formulaire_spip .attention a { color: #594c00; text-decoration: underline; }

.alert-warning a:focus, .formulaire_spip .attention a:focus, .alert-warning a:hover, .formulaire_spip .attention a:hover { color: black; }

.alert-error, .formulaire_spip .erreur .erreur_message, .formulaire_spip .reponse_formulaire_erreur { background-color: #fbe3e4; color: #97161b; }

.alert-error a, .formulaire_spip .erreur .erreur_message a, .formulaire_spip .reponse_formulaire_erreur a { color: #6a0f13; text-decoration: underline; }

.alert-error a:focus, .formulaire_spip .erreur .erreur_message a:focus, .formulaire_spip .reponse_formulaire_erreur a:focus, .alert-error a:hover, .formulaire_spip .erreur .erreur_message a:hover, .formulaire_spip .reponse_formulaire_erreur a:hover { color: #110203; }

.alert-info, .formulaire_spip .explication { background-color: #e5edf8; color: #244e87; }

.alert-info a, .formulaire_spip .explication a { color: #19375f; text-decoration: underline; }

.alert-info a:focus, .formulaire_spip .explication a:focus, .alert-info a:hover, .formulaire_spip .explication a:hover { color: #04080e; }

.alert-success, .formulaire_spip .reponse_formulaire_ok { background-color: #e6efc2; color: #56651a; }

.alert-success a, .formulaire_spip .reponse_formulaire_ok a { color: #333c10; text-decoration: underline; }

.alert-success a:focus, .formulaire_spip .reponse_formulaire_ok a:focus, .alert-success a:hover, .formulaire_spip .reponse_formulaire_ok a:hover { color: black; }

/* # Badges

Voir et s'inspirer de Semantic UiKit pour le composant Badge…

Une classe `.circle` pour des badges en pastille

Markup:
<div>
  <span class="badge">4</span>
  <span class="badge-alert">4</span>
  <span class="badge-error">4</span>
  <span class="badge-notice">4</span>
  <span class="badge-success">4</span>
</div>

@version - v1.0.1
@mixin badge() -
@mixin badge-theme($color) {color} ($badge-default-color !default) -
$badge-prefix ('badge' !) - main class
$badge-font-size - set the badge font-size, the border radius is proportional * 5

Styleguide addons.uikit.badges
*/
[class^="label"] { border-radius: 3.75em; display: inline-block; font-size: 0.75em; line-height: 1; padding: 0.4em 1.2em; }

[class^="label.circle"] { border-radius: 500rem; padding: .5em; min-width: 2em; min-height: 2em; }

.label { background-color: #999; color: black; }

.label-alert { background-color: #fff6bf; color: #8c7800; }

.label-error { background-color: #fbe3e4; color: #97161b; }

.label-info { background-color: #e5edf8; color: #244e87; }

.label-success { background-color: #e6efc2; color: #56651a; }

/** # Buttons

Buttons sizes
Buttons colors

Markup:
<a href="#" class="btn $modifierClass">Button text<a>
<a href="#" class="btn is-disabled" role="button" aria-disabled="true"  tabindex="-1">Disabled Button</a>

@mixin btn() - default button styling
@mixin btn-size($height,$pad)
@mixin btn-colorize($bg,$color)
@see - https://getbootstrap.com/docs/4.0/components/buttons/
@see - Design better call to action : <https://www.webdesignerdepot.com/2017/11/how-to-design-better-ctas/>
@see - https://tubikstudio.com/call-for-attention-powerful-cta-button-design/
@see - Taille et espacements optimales des boutons pour les mobiles https://uxmovement.com/mobile/optimal-size-and-spacing-for-mobile-buttons

Styleguide addons.uikit.buttons
*/
/** # Debug Addon

## [fr] Aide au debugage

-   Base line grid : Affiche la ligne de base en utilisant les paramères $em-base , $base-line-height de bourbon

-   Layout Debug : Aide au debug des layouts

-   Sass Debug : aide aud debug de sass pour afficher a l'écran les resultats de calculs

-   Validation Tools : met en évidence certaine erreurs basiques de validation, d'accessibilité

Styleguide addons.debug
*/
/** # W3C Validation Tools

[via inuit.css](https://github.com/csswizardry/inuit.css)

Enable this stylesheet to visually detect any improperly nested or
potentially invalid markup, or any potentially inaccessible code.
 
Red
:   definite error

Yellow
:   double-check

None
:   should be fine

 
__Please note that this method of checking markup quality should not be relied
upon entirely. Validate your markup!__

@param $valid-debug {bool} - Set the validation debug
@see - https://github.com/csswizardry/inuit.css/blob/master/generic/_debug.scss
 
Styleguide addons.debug.w3c
*/
/* # Baseline grid

Use it to work on a vertical rythm

Source: <http://basehold.it/>

@var $baseline-grid-show  - {boolean} (! false) Show the baseline grid
@var $baseline-grid-color - {string} Can be a Hex value (without the #) or RGB, RGBA defined with / separator between values ex: red/gren/blue/alpha
@var $base-line-eight       - Bourbon setting
@var $base-font-size        - Bourbon setting

Styleguide addons.debug.baseline-grid
*/
/** # Debug Layout

Surligne chaques blocs du layout avec un couleur différente

@version - 0.0.0


Styleguide addons.debug.debug-layout
*/
/** # @mixin btn-disabled

etat disabled

Styleguide buttons.mixins.btndisabled
*/
.btn, .hero-action, .formulaire_spip .boutons input, .formulaire_spip input.submit { display: inline-block; vertical-align: middle; white-space: nowrap; font-family: sans-serif; font-size: 100%; cursor: pointer; margin: 0; padding: 0.75em 1.5em; border: none; border-radius: 3px; overflow: visible; text-decoration: none; background-color: #2c77ba; border: 1px solid #ddd; color: white; }

.btn:hover, .hero-action:hover, .formulaire_spip .boutons input:hover, .formulaire_spip input.submit:hover, .btn:active, .hero-action:active, .formulaire_spip .boutons input:active, .formulaire_spip input.submit:active, .btn:focus, .hero-action:focus, .formulaire_spip .boutons input:focus, .formulaire_spip input.submit:focus, .btn:visited, .hero-action:visited, .formulaire_spip .boutons input:visited, .formulaire_spip input.submit:visited { text-decoration: none; }

.btn:active, .hero-action:active, .formulaire_spip .boutons input:active, .formulaire_spip input.submit:active, .btn:focus, .hero-action:focus, .formulaire_spip .boutons input:focus, .formulaire_spip input.submit:focus { outline: none; }

.btn::-moz-focus-inner, .hero-action::-moz-focus-inner, .formulaire_spip .boutons input::-moz-focus-inner, .formulaire_spip input.submit::-moz-focus-inner { border: 0; padding: 0; }

.btn:hover, .hero-action:hover, .formulaire_spip .boutons input:hover, .formulaire_spip input.submit:hover, .btn:active, .hero-action:active, .formulaire_spip .boutons input:active, .formulaire_spip input.submit:active, .btn:focus, .hero-action:focus, .formulaire_spip .boutons input:focus, .formulaire_spip input.submit:focus { color: white; background-color: #2c77ba; }

.btn.is-disabled, .is-disabled.hero-action, .formulaire_spip .boutons input.is-disabled, .formulaire_spip input.is-disabled.submit { cursor: default; pointer-events: none; background-color: #ddd; border: 1px solid #ddd; color: #777; }

.btn.is-disabled:hover, .is-disabled.hero-action:hover, .formulaire_spip .boutons input.is-disabled:hover, .formulaire_spip input.is-disabled.submit:hover, .btn.is-disabled:active, .is-disabled.hero-action:active, .formulaire_spip .boutons input.is-disabled:active, .formulaire_spip input.is-disabled.submit:active, .btn.is-disabled:focus, .is-disabled.hero-action:focus, .formulaire_spip .boutons input.is-disabled:focus, .formulaire_spip input.is-disabled.submit:focus { color: #777; background-color: #ddd; }

.btn.btn-small, .btn-small.hero-action, .formulaire_spip .boutons input.btn-small, .formulaire_spip input.btn-small.submit { padding: 0 0.5em; line-height: 2; height: 2em; }

.btn.btn-normal, .btn-normal.hero-action, .formulaire_spip .boutons input.btn-normal, .formulaire_spip input.btn-normal.submit { padding: 0 1em; line-height: 3; height: 3em; }

.btn.btn-large, .btn-large.hero-action, .formulaire_spip .boutons input.btn-large, .formulaire_spip input.btn-large.submit { padding: 0 1.5em; line-height: 4; height: 4em; }

.btn.btn-huge, .btn-huge.hero-action, .formulaire_spip .boutons input.btn-huge, .formulaire_spip input.btn-huge.submit { padding: 0 2em; line-height: 5; height: 5em; }

.btn.btn-success, .btn-success.hero-action, .formulaire_spip .boutons input.btn-success, .formulaire_spip input.btn-success.submit { background-color: #4A993E; border: 1px solid #4A993E; color: white; }

.btn.btn-success:hover, .btn-success.hero-action:hover, .formulaire_spip .boutons input.btn-success:hover, .formulaire_spip input.btn-success.submit:hover, .btn.btn-success:active, .btn-success.hero-action:active, .formulaire_spip .boutons input.btn-success:active, .formulaire_spip input.btn-success.submit:active, .btn.btn-success:focus, .btn-success.hero-action:focus, .formulaire_spip .boutons input.btn-success:focus, .formulaire_spip input.btn-success.submit:focus { color: white; background-color: #4A993E; }

.btn.btn-warning, .btn-warning.hero-action, .formulaire_spip .boutons input.btn-warning, .formulaire_spip input.btn-warning.submit { background-color: #b33630; border: 1px solid #b33630; color: white; }

.btn.btn-warning:hover, .btn-warning.hero-action:hover, .formulaire_spip .boutons input.btn-warning:hover, .formulaire_spip input.btn-warning.submit:hover, .btn.btn-warning:active, .btn-warning.hero-action:active, .formulaire_spip .boutons input.btn-warning:active, .formulaire_spip input.btn-warning.submit:active, .btn.btn-warning:focus, .btn-warning.hero-action:focus, .formulaire_spip .boutons input.btn-warning:focus, .formulaire_spip input.btn-warning.submit:focus { color: white; background-color: #b33630; }

.btn.btn-primary, .btn-primary.hero-action, .formulaire_spip .boutons input.btn-primary, .formulaire_spip input.btn-primary.submit { background-color: white; border: 1px solid white; color: #000; }

.btn.btn-primary:hover, .btn-primary.hero-action:hover, .formulaire_spip .boutons input.btn-primary:hover, .formulaire_spip input.btn-primary.submit:hover, .btn.btn-primary:active, .btn-primary.hero-action:active, .formulaire_spip .boutons input.btn-primary:active, .formulaire_spip input.btn-primary.submit:active, .btn.btn-primary:focus, .btn-primary.hero-action:focus, .formulaire_spip .boutons input.btn-primary:focus, .formulaire_spip input.btn-primary.submit:focus { color: #000; background-color: white; }

.btn.btn-secondary, .btn-secondary.hero-action, .formulaire_spip .boutons input.btn-secondary, .formulaire_spip input.btn-secondary.submit { background-color: red; border: 1px solid red; color: #000; }

.btn.btn-secondary:hover, .btn-secondary.hero-action:hover, .formulaire_spip .boutons input.btn-secondary:hover, .formulaire_spip input.btn-secondary.submit:hover, .btn.btn-secondary:active, .btn-secondary.hero-action:active, .formulaire_spip .boutons input.btn-secondary:active, .formulaire_spip input.btn-secondary.submit:active, .btn.btn-secondary:focus, .btn-secondary.hero-action:focus, .formulaire_spip .boutons input.btn-secondary:focus, .formulaire_spip input.btn-secondary.submit:focus { color: #000; background-color: red; }

.btn.btn-tertiary, .btn-tertiary.hero-action, .formulaire_spip .boutons input.btn-tertiary, .formulaire_spip input.btn-tertiary.submit { background-color: orange; border: 1px solid orange; color: #000; }

.btn.btn-tertiary:hover, .btn-tertiary.hero-action:hover, .formulaire_spip .boutons input.btn-tertiary:hover, .formulaire_spip input.btn-tertiary.submit:hover, .btn.btn-tertiary:active, .btn-tertiary.hero-action:active, .formulaire_spip .boutons input.btn-tertiary:active, .formulaire_spip input.btn-tertiary.submit:active, .btn.btn-tertiary:focus, .btn-tertiary.hero-action:focus, .formulaire_spip .boutons input.btn-tertiary:focus, .formulaire_spip input.btn-tertiary.submit:focus { color: #000; background-color: orange; }

/* # Icons

Accessibility issues :
Excellent article de Zach Leatherman sur l'accessibilité et les bonne manière d'intégrer
des icones.
<https://www.filamentgroup.com/lab/bulletproof_icon_fonts.html>

Un tweet sur quelques tips de rendu des icones fonts, dont le premier est :
n'utilisez pas d'icones fonts
https://twitter.com/zachleat/status/951480350080950273


Performance issues:
<http://calendar.perfplanet.com/2016/no-font-face-bulletproof-syntax/>

Une version du markup amelioree, et accessible
<https://css-tricks.com/html-for-icon-font-usage/>

Automatiser la preparation des formats a servir aux differents peripheriques
<https://www.filamentgroup.com/lab/grunticon.html>

https://css-tricks.com/svg-sprites-use-better-icon-fonts/

IconMoon
<https://icomoon.io/#docs>

Markup:
<p><span class="icon-tag" aria-hidden="true"></span></p>

@see - Creer <http://fontello.com/>
@see - Automatiser <https://www.npmjs.com/package/gulp-fontello>
@see - Utilitaire <http://getthemap.mister-graphx.com/>
$icon-family-name {string} (icons !default)
$icon-prefix {string} (icon !default)
$icon-set {map} (name:hex code) -
$file-format -
@use Bourbon/font-face


Styleguide addons.uikit.icons
*/
@font-face { font-family: icons; src: url("../fonts/icons/font/icons.woff2") format("woff2"), url("../fonts/icons/font/icons.woff") format("woff"), url("../fonts/icons/font/icons.ttf") format("truetype"); }

[class^="icon-"]:before, [class*="icon-"]:before { font-family: "icons"; font-style: normal; font-weight: normal; speak: none; display: inline-block; text-decoration: inherit; width: 1em; margin-right: .2em; text-align: center; /* opacity: .8; */ /* For safety - reset parent styles, that can break glyph codes*/ font-variant: normal; text-transform: none; /* fix buttons height, for twitter bootstrap */ line-height: 0em; /* Animation center compensation - margins should be symmetric */ /* remove if not needed */ margin-left: .2em; /* you can be more comfortable with increased icons size */ /* font-size: 120%; */ /* Uncomment for 3D effect */ /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */ -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; }

/* # @mixin icon-set-init()


@param - $icon-set {map} (null !)
Styleguide addons.icons.mixins
*/
.icon-square:before { content: ""; }

.icon-chevron-down:before { content: ""; }

.icon-chevron-large:before { content: ""; }

.icon-chevron-left:before { content: ""; }

.icon-chevron-right:before { content: ""; }

.icon-chevron-up:before { content: ""; }

.icon-close:before { content: ""; }

.icon-gear:before { content: ""; }

.icon-exclamation:before { content: ""; }

.icon-code:before { content: ""; }

.icon-hash:before { content: ""; }

.icon-media:before { content: ""; }

.icon-lessons:before { content: ""; }

.icon-menu:before { content: ""; }

.icon-minus:before { content: ""; }

.icon-multi-device-layouts:before { content: ""; }

.icon-performance:before { content: ""; }

.icon-plus:before { content: ""; }

.icon-question:before { content: ""; }

.icon-slash:before { content: ""; }

.icon-star:before { content: ""; }

.icon-check:before { content: ""; }

.icon-twitter:before { content: ""; }

.icon-github:before { content: ""; }

.icon-facebook:before { content: ""; }

.icon-gplus:before { content: ""; }

.icon-folder-open:before { content: ""; }

.icon-rss:before { content: ""; }

.icon-comment-reply:before { content: ""; }

.icon-phone:before { content: ""; }

.icon-folder:before { content: ""; }

.icon-address:before { content: ""; }

.icon-email:before { content: ""; }

.icon-globe:before { content: ""; }

.icon-user:before { content: ""; }

.icon-calendar:before { content: ""; }

.icon-search:before { content: ""; }

.icon-resize-full:before { content: ""; }

.icon-comments:before { content: ""; }

.icon-tag:before { content: ""; }

.icon-chevron-double-right:before { content: ""; }

.icon-quotation-mark-right:before { content: ""; }

.icon-shopping-cart:before { content: ""; }

.icon-filter:before { content: ""; }

.icon-trash:before { content: ""; }

.icon-pencil:before { content: ""; }

.icon-warning:before { content: ""; }

.icon-alert:before { content: ""; }

.icon-info:before { content: ""; }

.icon-eye:before { content: ""; }

.icon-eye-off:before { content: ""; }

.icon-comment:before { content: ""; }

.icon-pinterest:before { content: ""; }

/* # Acessibility navigation

An accessibilty navigation for screen readers

Markup:
<p class="skipnav"><a></a>-<a></a></p>

@see - <http://webaim.org/techniques/skipnav/>

Styleguide components.nav.accessibilitynav
*/
.skipnav { text-align: left; }

.skipnav a { position: absolute; left: -10000px; width: 1px; height: 1px; overflow: hidden; }

.skipnav a:focus, .skipnav a:active { position: static; left: 0; width: auto; height: auto; overflow: visible; text-decoration: underline; }

/* # AddOns Theming

Add Some styles for your addons here

Styleguide theme.addons
*/
.btn.btn-primary, .btn-primary.hero-action, .formulaire_spip .boutons input.btn-primary, .formulaire_spip input.btn-primary.submit { border: 1px solid #c4151c; color: #c4151c; }

.btn.btn-primary:hover, .btn-primary.hero-action:hover, .formulaire_spip .boutons input.btn-primary:hover, .formulaire_spip input.btn-primary.submit:hover { color: #9f1117; }

/** # Base

Add styling for base html element here, eventually overide the core/base/ rules

Styleguide theme.base
*/
body { background-color: #fff; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-smooth: always; overflow-y: scroll; overflow-x: hidden; }

/* # Forms

Markup:
<fieldset>
    <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. Praesent
        mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus.</p>
    <form>
         <h2>Form Element</h2>
        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam dignissim convallis est. Quisque aliquam. Donec faucibus. Nunc iaculis suscipit dui.</p>
        <p>
            <label for="text_field">Text Field:</label>
            <input type="text" id="text_field">
        </p>
        <p>
            <label for="text_area">Text Area:</label>
            <textarea id="text_area"></textarea>
        </p>
        <p>
            <label for="select_element">Select Element:</label>
            <select name="select_element">
                <optgroup label="Option Group 1">
                    <option value="1">Option 1</option>
                    <option value="2">Option 2</option>
                    <option value="3">Option 3</option>
                </optgroup>
                <optgroup label="Option Group 2">
                    <option value="1">Option 1</option>
                    <option value="2">Option 2</option>
                    <option value="3">Option 3</option>
                </optgroup>
            </select>
        </p>
        <p>
            <label for="radio_buttons">Radio Buttons:</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_1">Radio 1</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_2">Radio 2</label>
            <label>
                <input type="radio" class="radio" name="radio_button" value="radio_3">Radio 3</label>
        </p>
        <p>
            <label for="checkboxes">Checkboxes:</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_1">Checkbox 1</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_2">Checkbox 2</label>
            <label>
                <input type="checkbox" class="checkbox" name="checkboxes" value="check_3">Checkbox 3</label>
        </p>
        <p>
            <label for="password">Password:</label>
            <input type="password" class="password" name="password">
        </p>
        <p>
            <label for="file">File Input:</label>
            <input type="file" class="file" name="file">
        </p>
        <p>
            <input type="submit" value="Submit">
        </p>
    </form>
</fieldset>

Styleguide theme.forms
*/
fieldset { border-width: 1px 0; padding: 1.5em 0; }

fieldset legend { text-align: left; margin-left: 0; }

input, label, select { display: block; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-size: 1em; }

label { text-align: left; }

/* # Layout



Styleguide theme.layout
*/
.wrapper { padding-left: 10px; padding-right: 10px; }

@media (min-width: 1025px) { .wrapper { max-width: 960px; margin-left: auto; margin-right: auto; padding-left: 30px; padding-right: 30px; }
  .wrapper:after { content: " "; display: block; clear: both; } }

/** # Blocks


Styleguide theme.blocks
*/
/** # Breadcrumb

Styles du chemin



Markup:
<nav id="breadcrumb">
    <div class="wrapper">
        <ol class="breadcrumb">
            <li class="1on">
                <strong class="on">panier</strong>
                <span class="divider"> &gt; </span>
            </li>
            <li class=" active">	<strong class="on">commande</strong>
	<span class="divider"> &gt; </span>
            </li>
            <li class=" active">	<strong class="on">livraison</strong>
	<span class="divider"> &gt; </span>
            </li>
            <li class=" active">	<strong class="on">paiement</strong>
            </li>
        </ol>
    </div>
</nav>

Styleguide theme.blocks.breadcrumb
*/
#breadcrumb .breadcrumb { display: none; margin: 1.5em 0; }

@media (min-width: 321px) { #breadcrumb .breadcrumb { display: inline-block; } }

#breadcrumb .breadcrumb li { display: inline-block; }

#breadcrumb .breadcrumb li.active { color: rgba(0, 0, 0, 0.6); }

#breadcrumb .breadcrumb a { color: black; }

/** # Block content

Block de contenu principal

Markup:




Styleguide  theme.blocks.content
*/
#content { margin-top: 0.75em; }

@media (min-width: 321px) { #content { margin-top: 0; } }

/** # Section-heading

Entete de page/section

Markup:
<article class="content">
    <header class="content-header">
        <h1>Collections</h1>
        <hr class="hr--small">
    </header>
</article>

Styleguide theme.blocks.contentheading
*/
.content-header { margin-bottom: 3em; }

.content-header h1.title { font-size: 2.2em; }

/* # Block Footer

Styles du pied de page


Styleguide theme.blocks.footer
*/
@media (min-width: 321px) { #footer .footer_corporate { width: 36.46409%; float: left; margin-right: 1.65746%; }
  #footer .footer_socials-links { width: 23.75691%; float: left; margin-right: 1.65746%; }
  #footer .footer_colophon { width: 36.46409%; float: right; margin-right: 0; } }

#footer { background: black; color: white; padding-top: 1.5em; padding-bottom: 3em; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-size: 1em; line-height: 1.6em; font-weight: 300; font-style: normal; text-align: center; }

#footer .wrapper::after { clear: both; content: ""; display: block; }

#footer ul li { display: list-item; }

#footer a { color: #6d6d6d; }

#footer .footer_corporate, #footer .footer_socials-links { margin-bottom: 1.5em; }

@media (min-width: 321px) { #footer .footer_colophon { text-align: right; }
  #footer .footer_corporate { text-align: left; } }

/* # Block Header



Styleguide theme.blocks.header
*/
#header .wrapper { padding: 0; }

@media (min-width: 769px) { #header a { color: white; }
  #header.sticky { position: fixed; top: 0; left: 0; z-index: 100; background-color: white; } }

/** # Responsive menu

Addon responsive menu.

Accessibilité
`nav#navigation` est necessaire pour le aria-haspopup déclaré par le bouton mobile

.mobile-slide-left - menu mobile aparait par la gauche

Markup:
<header role="banner">
  <div class='responsive-menu js-menumaker $modifierClass'>
		<div class="head-desktop">
			<a href="index.html">
				<div class="brand">Brand name</div>
				<div class="baseline">Baseline</div>
			</a>
		</div>
		<div class="head-mobile">
			<button class="mobile-button menu-opened" aria-haspopup="true" aria-controls="navigation">
          		<span class="visuallyhidden">Navigation</span>
        	</button>
			<div class="brand">Brand Name</div>
			<div class="baseline">Baseline</div>
		</div>
		<nav id="navigation" class="menu-container" role="primary">
			<ul>
			  <li class='active'><a href='#'>HOME</a></li>
			  <li><a href='#'>ABOUT</a></li>
			  <li><a href='#'>PRODUCTS</a>
				<ul>
				  <li><a href='#'>Product 1</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				  <li><a href='#'>Product 2</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				</ul>
			  </li>
			  <li><a href='#'>BIO</a></li>
			  <li><a href='#'>VIDEO</a></li>
			  <li><a href='#'>GALLERY</a></li>
			  <li><a href='#'>CONTACT</a></li>
			</ul>
		</nav>
	</div>
</header>

Javascript:
	jQuery(function($){
	  $(".js-menumaker").responsiveMenu({
	     format: "multitoggle",
	     sticky:false,
	     breakpoint:700,
	     cssMenuOpen: 'open'
	  });
	});

@package 	- addons/responsive-menu
@require    - fragments@4.0.0
@use 		- js - addons/responsive-menu/responsive-menu.js
@see 		- <http://codepen.io/emredenx/pen/ojcxl/>
@link 		- Codepen d'un menu accessible http://codepen.io/grayghostvisuals/pen/ltjDa
@see 		- Theorie menu accessibles : http://simplyaccessible.com/article/better-for-accessibility/
@link 	- https://github.com/nico3333fr/jquery-accessible-subnav-dropdown
@link 	- http://staff.washington.edu/tft/tests/menus/simplyaccessible/index.html
@link 	- Article sur le markup ARIA d'un menu http://terrillthompson.com/blog/202
@link 	- Push menu : inspiration pour le mode dropdown https://tympanus.net/Development/MultiLevelPushMenu/index2.html
@link 	- Construire des menus accessibles : https://www.smashingmagazine.com/2017/11/building-accessible-menu-systems
@see 		-  explication sur l'accessibilité et display:none https://stackoverflow.com/questions/36940108/displaynone-drop-down-menus-and-screen-readers
@see		- The priority pattern http://bradfrost.com/blog/post/revisiting-the-priority-pattern/
@see		- Priority pattern exemple https://www.regionalaustraliabank.com.au/
@todo 	- FramaPad CDC lib menu responsive idéal :  https://demo.codimd.org/A8vQ9ro-Rbigb-0EpDI8OA?both
@todo 	- mieux gerer les themes du menu
@todo 	- Evoluer vers de nouveaux principes ou concept de navigation, comme suggéré Ici https://medium.com/glossier/glossiers-mobile-navigation-4a944e65b0b7
@todo 	- Aria sur le bouton mobile https://www.w3.org/TR/2017/NOTE-wai-aria-practices-1.1-20171214/examples/menu-button/menu-button-links.html

Styleguide addons.responsivemenu
*/
.responsive-menu { position: relative; z-index: 990; }

.responsive-menu .head-desktop { display: none; }

.responsive-menu .head-mobile { position: relative; }

.responsive-menu .mobile-button { z-index: 1100; }

.responsive-menu .menu-container { z-index: 1010; }

.responsive-menu .menu-container:after { z-index: 1005; }

.responsive-menu .menu-container > ul { z-index: 1015; }

@media (min-width: 769px) { .responsive-menu { width: 100%; }
  .responsive-menu .head-desktop { display: block; }
  .responsive-menu .head-mobile { display: none; } }

.responsive-menu .mobile-button, .responsive-menu button.mobile-button { background-color: transparent; background: none; padding: 0; margin: 0; cursor: pointer; border: 0px solid transparent; line-height: normal; overflow: visible; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; font-size: 1.5rem; -webkit-transition: -webkit-transform .2s linear; transition: -webkit-transform .2s linear; transition: transform .2s linear; transition: transform .2s linear, -webkit-transform .2s linear; }

.responsive-menu .mobile-button::before, .responsive-menu button.mobile-button::before { text-indent: 0; font-size: 1.5rem; }

.responsive-menu .mobile-button:focus, .responsive-menu button.mobile-button:focus { outline: 0 solid transparent; -webkit-box-shadow: none; box-shadow: none; }

.responsive-menu .menu-container > ul { display: block; position: absolute; height: 100vh; overflow-y: auto; overflow-x: hidden; -webkit-transition: all 0.1s linear; transition: all 0.1s linear; }

@media (max-width: 768px) { .responsive-menu .menu-container > ul { max-height: 0; height: 0; opacity: 0; top: -5000px; -webkit-transform: translate3d(0, -100%, 0); transform: translate3d(0, -100%, 0); }
  .responsive-menu .menu-container > ul.is-open { max-height: none; height: auto; opacity: 1; top: 0; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); min-height: 100%; } }

@media (min-width: 769px) { .responsive-menu .menu-container > ul { position: relative; top: 0; left: 0; width: auto; width: initial; height: auto; height: initial; overflow-y: visible; overflow-x: visible; display: -webkit-box; display: -ms-flexbox; display: flex; -webkit-box-pack: end; -ms-flex-pack: end; justify-content: flex-end; -webkit-box-align: end; -ms-flex-align: end; align-items: flex-end; padding: 0; } }

@media (max-width: 768px) { .responsive-menu .menu-container ul > li { overflow: hidden; } }

@media (min-width: 769px) { .responsive-menu .menu-container ul > li { display: inline-block; } }

.responsive-menu .menu-container .open li { overflow: initial; height: auto; }

.responsive-menu.mobile-full-with .menu-container > ul { width: 100%; top: 0; }

@media (max-width: 767px) { .responsive-menu.mobile-slide-left .mobile-button, .responsive-menu.mobile-slide-left button.mobile-button { position: relative; float: left; z-index: 1010; }
  .responsive-menu.mobile-slide-left .mobile-button.menu-opened, .responsive-menu.mobile-slide-left button.mobile-button.menu-opened { z-index: 1150; position: fixed; top: 0; -webkit-transform: translateX(279.25px); transform: translateX(279.25px); }
  .responsive-menu.mobile-slide-left .menu-container > ul { width: 290px; top: 0; padding: 1.5em; } }

@media (max-width: 768px) { .menu-container.is-open { width: 100vw; height: 100%; top: 0; left: 0; position: relative; }
  .menu-container.is-open::after { content: ''; display: block; position: fixed; top: 0; left: 0; width: 100%; height: 100%; } }

.menu-container li > a { display: block; white-space: inherit; padding: 0.75em; -webkit-transition: background .3s linear; transition: background .3s linear; }

@media (min-width: 769px) { .menu-container li > a { display: -webkit-box; display: -ms-flexbox; display: flex; } }

.has-sub, .menu-container ul li { position: relative; }

.has-sub > ul, .menu-container ul li > ul { max-height: 0; height: 0; opacity: 0; top: -5000px; -webkit-transform: translate3d(0, -100%, 0); transform: translate3d(0, -100%, 0); }

.has-sub > ul.open, .menu-container ul li > ul.open { max-height: none; height: auto; opacity: 1; top: 0; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); }

@media (min-width: 769px) { .has-sub > ul, .menu-container ul li > ul { position: absolute; width: 250px; -webkit-box-orient: vertical; -webkit-box-direction: normal; -ms-flex-direction: column; flex-direction: column; } }

.has-sub > ul ul, .menu-container ul li > ul ul { max-height: 0; height: 0; opacity: 0; top: -5000px; -webkit-transform: translate3d(0, -100%, 0); transform: translate3d(0, -100%, 0); }

.has-sub > ul ul.open, .menu-container ul li > ul ul.open { max-height: none; height: auto; opacity: 1; top: 0; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); }

@media (min-width: 769px) { .has-sub > ul ul, .menu-container ul li > ul ul { top: 0; margin-left: 100%; } }

@media (min-width: 769px) { .has-sub:focus > ul, .has-sub:hover > ul { max-height: none; height: auto; opacity: 1; top: 0; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); } }

.menu-container .has-sub > ul { -webkit-transition: opacity .25s linear; transition: opacity .25s linear; }

.menu-container .has-sub > ul li, .menu-container .has-sub > ul li a { width: 100%; display: block; }

.submenu-button { display: block; float: right; width: 16px; height: 16px; margin-left: 0.75em; }

.submenu-button:after { content: '+'; font-size: 1rem; }

.submenu-button.submenu-opened:after { content: '-'; }

.responsive-menu .head-desktop a { color: contrasted(#fff); }

.responsive-menu .head-mobile .brand { position: relative; }

.responsive-menu.multitoggle .menu-container.is-open { position: fixed; overflow-y: scroll; }

@media (min-width: 769px) { .responsive-menu.multitoggle .has-sub:focus > ul ul, .responsive-menu.multitoggle .has-sub:hover > ul ul { top: 0; } }

@media (min-width: 769px) { .responsive-menu .show > ul { max-height: none; height: auto; opacity: 1; top: 0; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); } }

@media (min-width: 769px) { .responsive-menu.sticky { position: fixed; top: 0; left: 0; min-width: 100%; z-index: 1100; } }

.responsive-menu form { padding: 0.75em 0; margin-bottom: 5px; }

.responsive-menu form input { margin: 0; }

/** # Responsive menu - Theme Dark

Déclinaison sombre pour responsive menu

.t-dark - theme
.mobile-slide-left - le panneau s'affiche par la gauche

Markup:
<header role="banner">
  <div class='responsive-menu js-menumaker $mofier-class'>
		<div class="head-desktop">
			<a href="index.html">
					<div class="brand">Brand name</div>
					<div class="baseline">Baseline</div>
			</a>
		</div>
		<div class="head-mobile">
				<div class="mobile-button"></div>
				<div class="brand">Brand Name</div>
				<div class="baseline">Baseline</div>
		</div>
		<nav class="menu-container" role="primary">
			<ul>
			  <li class='active'><a href='#'>HOME</a></li>
			  <li><a href='#'>ABOUT</a></li>
			  <li><a href='#'>PRODUCTS</a>
				<ul>
				  <li><a href='#'>Product 1</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				  <li><a href='#'>Product 2</a>
					<ul>
					  <li><a href='#'>Sub Product</a></li>
					  <li><a href='#'>Sub Product</a></li>
					</ul>
				  </li>
				</ul>
			  </li>
			  <li><a href='#'>BIO</a></li>
			  <li><a href='#'>VIDEO</a></li>
			  <li><a href='#'>GALLERY</a></li>
			  <li><a href='#'>CONTACT</a></li>
			</ul>
		</nav>
	</div>
</header>

@require - addons/responsive_menu

@source - <http://codepen.io/emredenx/pen/ojcxl/>
@see - Codepen d'un menu accessible http://codepen.io/grayghostvisuals/pen/ltjDa
@see - https://github.com/nico3333fr/jquery-accessible-subnav-dropdown
@see - http://staff.washington.edu/tft/tests/menus/simplyaccessible/index.html
@see - Article sur le markup ARIA d'un menu http://terrillthompson.com/blog/202
@import - addons/responsive-menu
@use - js - addons/responsive-menu/responsive-menu.js
@todo - mieux gerer les themes du menu

Styleguide addons.responsivemenu.dark
*/
.responsive-menu.t-dark { background-color: black; color: white; padding: 0.75em; }

.responsive-menu.t-dark .mobile-button, .responsive-menu.t-dark button.mobile-button { font-size: 1.2rem; color: #ddd; }

.responsive-menu.t-dark .mobile-button:before, .responsive-menu.t-dark button.mobile-button:before { content: ""; font-family: icons; speak: none; font-style: normal; font-weight: normal; font-variant: normal; text-transform: none; line-height: 1; margin-right: 5px; }

.responsive-menu.t-dark .mobile-button.menu-opened, .responsive-menu.t-dark button.mobile-button.menu-opened { background-color: black; color: white; padding: 0.375em; }

.responsive-menu.t-dark .mobile-button.menu-opened:before, .responsive-menu.t-dark button.mobile-button.menu-opened:before { content: ""; font-family: icons; speak: none; font-style: normal; font-weight: normal; font-variant: normal; text-transform: none; line-height: 1; margin-right: 5px; }

.responsive-menu.t-dark .menu-container > ul { background-color: black; font-family: system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; font-weight: 400; text-transform: uppercase; }

@media (min-width: 769px) { .responsive-menu.t-dark .menu-container > ul { border: none transparent; background-color: transparent; text-align: left; } }

@media (max-width: 768px) { .t-dark .menu-container.is-open::after { background-color: rgba(0, 0, 0, 0.85); } }

.t-dark .menu-container li > a { background-color: black; color: white; font-family: system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; font-weight: bold; font-size: 1rem; border-left: 5px transparent solid; }

@media (min-width: 769px) { .t-dark .menu-container li > a { color: white; border-left: 0 transparent; border-bottom: 5px white solid; } }

.t-dark .menu-container li:focus > a, .t-dark .menu-container li:hover > a, .t-dark .menu-container li > a:hover, .t-dark .menu-container li > a:focus .t-dark .menu-container li.on > a, .t-dark .menu-container li.active > a { background-color: rgba(221, 221, 221, 0.2); border-left: 5px white solid; }

@media (min-width: 769px) { .t-dark .menu-container li:focus > a, .t-dark .menu-container li:hover > a, .t-dark .menu-container li > a:hover, .t-dark .menu-container li > a:focus .t-dark .menu-container li.on > a, .t-dark .menu-container li.active > a { border-left: none transparent; border-bottom: 5px rgba(255, 255, 255, 0.5) solid; } }

@media (min-width: 769px) { .t-dark .menu-container .has-sub:hover > ul, .t-dark .menu-container .has-sub:focus > ul { top: 3rem; position: absolute; } }

.t-dark .menu-container .has-sub > ul li a { font-size: .8em; }

@media (min-width: 769px) { .t-dark .menu-container .has-sub > ul li a { background-color: black; border: none; width: 100%; display: block; }
  .t-dark .menu-container .has-sub > ul li a:hover { border: none; } }

.responsive-menu.t-dark .brand { text-transform: uppercase; }

.responsive-menu.t-dark .baseline { color: rgba(255, 255, 255, 0.5); }

.responsive-menu.t-dark .head-desktop a { color: white; }

.responsive-menu.t-dark .head-desktop .brand { font-size: 1.5rem; text-align: left; }

.responsive-menu.t-dark .head-mobile { border-bottom: 1px solid rgba(0, 0, 0, 0.2); }

.responsive-menu.t-dark .head-mobile a { color: white; }

.responsive-menu.t-dark .head-mobile .brand, .responsive-menu.t-dark .head-mobile .baseline { text-align: left; }

.responsive-menu.t-dark .head-mobile .brand { font-size: 1.5rem; font-weight: bold; }

@media (min-width: 769px) { .responsive-menu.t-dark .head-mobile .brand { font-size: 1.5rem; padding: 0.75em; } }

#header { margin-bottom: 0.75em; background-color: black; position: relative; }

@media (min-width: 768px) { #header { height: 6em; } }

#header .wrapper { padding: 0; }

@media (min-width: 769px) { #header .responsive-menu .head-desktop { width: 36.46409%; float: left; margin-right: 1.65746%; }
  #header .responsive-menu .menu-container { width: 61.87845%; float: right; margin-right: 0; } }

/** # Pages



Styleguide  pages
*/
/** # Page Article

Style de la page Article


Styleguide pages.article
*/
/* # Page Login

Styles de la page login
accès a l'espace privé

Styleguide pages.login
*/
/* # Page Sommaire

Style de la page sommaire


Styleguide pages.page_sommaire
*/
.page_sommaire article.box { margin-bottom: 2.25em; padding: 1em; border: 1px solid #ddd; border-radius: 4px; }

.page_sommaire article.box h2 { font-size: 2em; }

.page_sommaire article.box img { float: left; margin-right: 1.65746%; }

.page_sommaire .liste.long .item { margin-bottom: 1.5em; }

.page_sommaire .liste.long .item p, .page_sommaire .liste.long .item .texte .text-center, .texte .page_sommaire .liste.long .item .text-center { margin: 0; }

/** # Susy Layout Gala

Une collection de layouts

Any order columns or blocks

http://www.positioniseverything.net/articles/onetruelayout/anyorder

@version - 0.0.1

Stylegiude components.layouts.layoutgala
*/
.composition_blog_post #content .wrapper, .composition_blog #content .wrapper { max-width: 960px; margin: 0 auto; overflow: hidden; }

@media (min-width: 769px) { .composition_blog_post .container, .composition_blog .container { float: right; width: 100%; margin-right: -25.41436%; }
  .composition_blog_post .content-main, .composition_blog_post .content-footer, .composition_blog .content-main, .composition_blog .content-footer { margin-right: 25.41436%; }
  .composition_blog_post .content-aside, .composition_blog .content-aside { float: left; width: 23.75691%; }
  .composition_blog_post .content-extra, .composition_blog .content-extra { float: left; clear: left; width: 23.75691%; } }

.composition_blog .content-header { border-bottom: 1px solid rgba(0, 0, 0, 0.3); }

.composition_blog .content-header::after { clear: both; content: ""; display: block; }

.composition_blog .content-header .thumbnail { float: left; margin-right: 1.5em; }

.composition_blog .content-header .thumbnail img { border: 1px solid rgba(0, 0, 0, 0.3); }

.composition_blog .content-header .title { font-size: 1.8rem; padding-top: 1.5em; }

.composition_blog .content-header .chapo { font-family: "Georgia", "Times", "Times New Roman", serif; font-style: italic; }

.composition_blog .content-header .publication { text-align: right; font-size: .8rem; }

/* # Comments

http://www.webdesigndev.com/24-wonderful-but-different-blog-comment-form-designs/
*/
/* # Comments

http://www.webdesigndev.com/24-wonderful-but-different-blog-comment-form-designs/

Styleguide components.comments
*/
.comments .comment { margin-top: 1.5em; }

.comments .comment::after { clear: both; content: ""; display: block; }

@media (min-width: 321px) { .comments .comment .comment-meta { width: 23.75691%; float: left; margin-right: 1.65746%; }
  .comments .comment .comment-content { width: 74.58564%; float: right; margin-right: 0; } }

.comments .comment-meta .avatar { float: left; margin-right: 0.75em; }

@media (min-width: 321px) { .comments .comment-meta .avatar { float: none; margin: 0; }
  .comments .comment-meta .avatar img { margin: 0 auto; display: block; } }

.comments .comment-meta .author, .comments .comment-meta .date { font-size: .8em; font-style: italic; }

.comments .comment-footer { clear: both; width: 100%; float: left; margin-left: 0; margin-right: 0; padding: 1.5em 0; }

.comments .comment-footer::after { clear: both; content: ""; display: block; }

.comments .comment-footer .utilities { float: right; }

.comments .comment-footer .utilities li { display: inline-block; }

.comments .comment.reply { margin-left: 4.5em; }

/* composition pour la rubrique Blog liste des derniers post */
.composition_blog .list-items.blog-posts .item { margin-top: 1.5em; }

.composition_blog .list-items.blog-posts .item .item-header { font-size: .8em; padding: 0.75em; height: 3em; border-style: solid; border-color: #f7f7f7; border-width: 1px 1px 0; border-top-left-radius: 4px; border-top-right-radius: 4px; }

.composition_blog .list-items.blog-posts .item .publication .avatar { vertical-align: middle; margin-right: .5em; }

.composition_blog .list-items.blog-posts .item .publication .author { float: left; }

.composition_blog .list-items.blog-posts .item .publication .date { float: right; }

.composition_blog .list-items.blog-posts .item .item-content { background-color: #f7f7f7; padding: 0.75em; }

.composition_blog .list-items.blog-posts .item .item-thumbnail { display: block; float: left; margin-right: 1.5em; }

.composition_blog .list-items.blog-posts .item .item-title :first-of-type { font-size: 2rem; padding: 0.75em 0; }

.composition_blog .list-items.blog-posts .item .item-details { font-size: .8em; color: gray; }

.composition_blog .list-items.blog-posts .item .item-details .item-tags span { float: left; margin-right: 0.75em; }

.composition_blog .list-items.blog-posts .item .item-footer { padding: 0.75em; height: 3em; border-style: solid; border-color: #f7f7f7; border-width: 0 1px 1px; border-bottom-left-radius: 4px; border-bottom-right-radius: 4px; }

.composition_blog .list-items.blog-posts .item .item-footer .sharing { float: right; }

.composition_blog .list-items.blog-posts .item .item-footer .sharing ul li { display: inline-block; }

/* # Nav - Prev-Next

Syles for a previous/next article navigation

Markup:
<div class="nav_prev-next">
    <a class="prev" href='' title="Article précédent">
        <i class="icon-chevron-left"></i>
    </a>
    <a class="next" href='' title="Article suivant">
        <i class="icon-chevron-right"></i>
    </a>
</div>

Styleguide components.navs.nav_prev-next
*/
.nav_prev-next { margin-top: .5em; margin-bottom: .5em; }

.nav_prev-next::after { clear: both; content: ""; display: block; }

.nav_prev-next a.prev { float: left; }

.nav_prev-next a.next { float: right; }

.nav_prev-next .thumbnail, .nav_prev-next .content { display: table-cell; vertical-align: middle; }

.nav_prev-next .prev .thumbnail { padding-right: 0.75em; }

.nav_prev-next .next .thumbnail { padding-left: 0.75em; }

.nav_prev-next .next .content { text-align: right; }

.nav_prev-next { margin-bottom: 1.2em; }

.composition_blog_post .content-header { text-align: center; }

.composition_blog_post .content-header .nav_prev-next { padding-top: 1.5em; }

.composition_blog_post .content-main .signature::after { clear: both; content: ""; display: block; }

/* # Composition Covers articles

Styleguide theme.compositions
*/
.composition_header_cover #content .wrapper { max-width: 100%; }

@media (min-width: 768px) { .composition_header_cover #content .wrapper { padding: 0; } }

.composition_header_cover .cover-content { max-width: 700px; }

.composition_header_cover .cover-content .titre { border-top: 1px solid black; border-bottom: 1px solid black; background-color: rgba(255, 255, 255, 0.8); font-size: 2em; line-height: .8; color: black; text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.4); }

.composition_header_cover .main .texte { margin-top: 3em; }

@media (min-width: 768px) { .composition_header_cover .main, .composition_header_cover footer { max-width: 700px; margin-left: auto; margin-right: auto; } }

/* # Signature

Signature d'un auteur

Markup:
<div class="signature">
	<div class="thumbnail">
		<img width="100" height="100"/>
	</div>
	<div class="content">
		<div class="name">John Doe</div>
		<div class="bio"></div>
	</div>
</div>

Styleguide components.signature
*/
.signature { padding: 1.5em; }

.signature::after { clear: both; content: ""; display: block; }

.signature > .thumbnail { width: 100px; }

.signature > .content .name { font-weight: bold; font-family: system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; }

.hero { width: 100%; position: relative; padding: 1.5em; background-color: #d0e9ee; }

.hero::after { clear: both; content: ""; display: block; }

@media (min-width: 769px) { .hero-media { width: 23.75691%; float: left; margin-right: 1.65746%; } }

@media (min-width: 769px) { .hero-content { width: 87.29282%; float: right; margin-right: 0; } }

.hero-content .title { position: absolute; top: 50%; -webkit-transform: translateY(-50%); transform: translateY(-50%); }

.hero-content .title :first-of-type { font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Avenir Next", "Avenir", "Segoe UI", "Lucida Grande", "Helvetica Neue", "Helvetica", "Fira Sans", "Roboto", "Noto", "Droid Sans", "Cantarell", "Oxygen", "Ubuntu", "Franklin Gothic Medium", "Century Gothic", "Liberation Sans", sans-serif; font-weight: normal; text-transform: uppercase; letter-spacing: .3em; }

/* # Spip Styles

Spip CMS styles

Styleguide theme.spip
*/
/* # Spip Forms



Markup:
<div class="formulaire_spip">
	<form action="#" method="post">
        <p class="reponse_formulaire reponse_formulaire_ok">Réponse du Formulaire : Success </p>
        <p class="reponse_formulaire reponse_formulaire_erreur">Réponse du Formulaire : Error </p>
		<fieldset>
			<legend>Lettre d'information</legend>
			<p>Abonnez-vous pour rester informé(e) : vous recrevrez nos dernières nouveautés par courrier électronique.</p>
			<ul>
				<li class="courriel obligatoire">
					<label for="courriel">Courriel<em> (Obligatoire)</em></label>
					<input type="text" class="text" name="courriel" id="courriel" value="adresse@email.fr" />
				</li>
			</ul>
		</fieldset>
		<fieldset>
			<legend>Informations personnelles</legend>
			<ul>
				<li class="editer_civilite">
					<fieldset>
						<legend>Civilité</legend>
						<ul>
                            <div class="choix">
							<li>
								<input type="radio" class="radio" name="civilite" id="monsieur" value="Monsieur" checked="checked" />
								<label for="monsieur">Monsieur</label>
							</li>
                            </div>  
                            <div class="choix">
							<li>
								<input type="radio" class="radio" name="civilite" id="madame" value="Madame" />
								<label for="madame">Madame</label>
							</li>
                            </div>  
						</ul>
					</fieldset>
				</li>
				<li class="nom obligatoire">
					<label for="nom">Nom</label>
                    <p class="explication">Ceci est une explication</p>
					<input type="text" class="text" name="nom" id="nom" value="" />
				</li>
				<li class="prenom erreur">
					<label for="prenom">Prénom</label>
					<input type="text" class="text" name="prenom" id="prenom" value="06 82 30 96 16" />
					<p class="erreur_message">Le prénom ne doit pas contenir de chiffres !</p>
				</li>
				<li class="date">
                                    <fieldset>
                                        <legend>Date de naissance</legend>
                                        <ul>
                                            <li class="date_naissance_jour">
                                                <label for="date_naissance_jour">Jour de naissance</label>
                                                <select name="date_naissance_jour" id="date_naissance_jour">
                                                        <option label="01" value="01">01</option>
                                                        <option label="02" value="02">02</option>
                                                        <option label="03" value="03">03</option>
                                                        <option label="04" value="04">04</option>
                                                        <option label="05" value="05">05</option>
                                                        <option label="06" value="06">06</option>
                                                </select>
                                            </li>
                                            <li class="date_naissance_mois">
                                                <label for="date_naissance_mois">Mois de naissance</label>
                                                <select name="date_naissance_mois" id="date_naissance_mois">
                                                        <option label="Janvier" value="01">Janvier</option>
                                                        <option label="Février" value="02">Février</option>
                                                </select>
                                            </li>
                                            <li class="date_naissance_annee">
                                                    <label for="date_naissance_annee">Année de naissance</label>
                                                    <input type="text" class="text" name="date_naissance_annee" id="date_naissance_annee" value="" />
                                            </li>
                                        </ul>
                                    </fieldset>
				</li>
			</ul>
		</fieldset>
		<fieldset class="conditions_generales">
			<legend>Condition générales</legend>
			<ul>
                            <div class="choix">
				<li class="accepter_conditions">
					<input type="checkbox" name="accepter_conditions" id="accepter_conditions" value="OK" />
					<label for="accepter_conditions">J'ai lu et j'accepte les conditions générales du service</label>
				</li>
                            </div>
                            <div class="choix">
				<li class="accepter_spam">
					<input type="checkbox" class="checkbox" name="accepter_spam" id="accepter_spam" value="OK" checked="checked" />
					<label for="accepter_spam">J'autorise la divulgation de mes coordonnées à des tiers</label>
				</li>
                            </div>
			</ul>
		</fieldset>
		<p class="boutons">
            <input type="button" class="button" value="Me desinscrire" />
            <input type="submit" class="submit" value="Je m'abonne !" />
		</p>
	</form>
</div>

@see - [Structure HTML des formulaires de SPIP 2](http://www.spip.net/fr_article3791.html)

Styleguide theme.spip.forms
*/
/*  ------------------------------------------
/*  Habillage des formulaires
/*  ------------------------------------------ */
/* #MARK = Structure generale des formulaires SPIP 
----------------------------------------------- */
.formulaire_spip { /* Fieldset */ /* Champs de saisie */ /* Boutons */ }

.formulaire_spip .explication, .formulaire_spip .attention, .formulaire_spip .erreur .erreur-message, .formulaire_spip .reponse_formulaire { display: block; margin-bottom: 0.75em; padding: 0.75em; text-align: center; border-radius: 4px; }

.formulaire_spip .obligatoire label:after { content: "*"; }

.formulaire_spip .choix { width: 50%; float: left; }

.formulaire_spip .choix input[type="checkbox"], .formulaire_spip .choix input[type="radio"] { width: auto; }

.formulaire_spip .choix label { display: inline; font-weight: normal; float: none; }

.formulaire_spip input.text, .formulaire_spip textarea { -webkit-box-sizing: border-box; box-sizing: border-box; background: none repeat scroll 0 0 #fff; border: 1px solid #ccc; border-radius: 4px; -webkit-box-shadow: 0, 1px, 1px, rgba(0, 0, 0, 0.075), inset; box-shadow: 0, 1px, 1px, rgba(0, 0, 0, 0.075), inset; display: inline-block; width: 100%; line-height: 20px; padding: 4px 5px; -webkit-transition: border 0.2s linear 0s, -webkit-box-shadow 0.2s linear 0s; transition: border 0.2s linear 0s, -webkit-box-shadow 0.2s linear 0s; transition: border 0.2s linear 0s, box-shadow 0.2s linear 0s; transition: border 0.2s linear 0s, box-shadow 0.2s linear 0s, -webkit-box-shadow 0.2s linear 0s; }

.formulaire_spip input.text:focus, .formulaire_spip input.text :active, .formulaire_spip textarea:focus, .formulaire_spip textarea :active { border: 2px solid #74e9ff; -webkit-box-shadow: 0, 2px, 2px, rgba(0, 0, 0, 0.075), inset; box-shadow: 0, 2px, 2px, rgba(0, 0, 0, 0.075), inset; }

.formulaire_spip textarea { width: 100%; }

.formulaire_spip select { width: 99%; }

.formulaire_spip .boutons { clear: both; margin: 0; padding: 0; text-align: right; text-indent: 0; }

.formulaire_spip .boutons input, .formulaire_spip input.submit { margin-bottom: 0.5em; }

/* # Selection des langues

*/
/* # Formulaires de recherche (site / petitions)

*/
/* Choix des mots-clefs

*/
.formulaire_spip .bugajaxie { display: none; /*IE/Win*/ }

/* # Formulaire de login dans une page

*/
/* # Fomulaire de contact

*/
.formulaire_ecrire_auteur .saisie_sujet_message_auteur input.text { width: 100%; }

/* Formulaire de forum */
/* Formulaire Recherche */
/* # Spacers - hr

Quelques variations de marge top/bottom sur les balise hr

.hr--small	    - 20px margin
.hr--medium     - 35px margin
.hr--large      - 60px margin
.clear          - Aplique un clear both et masque la bordure


Markup:
<hr class="$modifierClass">

@todo   - pourquoi ne pas se baser sur le ryhtm vertical … un jour

Styleguide theme.typo.spacers
*/
hr, .hr--small, .hr--medium, .hr--large { width: 50px; }

.hr--small { margin: 1.5em auto; }

.hr--medium { margin: 3em auto; }

.hr--large { margin: 4.5em auto; }

/* # Long Dash

Mise en forme sur les Cadratins (tiret long)
 utilisé pour des dialogues, des citation

:hover	- Modifier definition goes here

Markup:
<span class="long-dash">—</span>
<span class="em-dash">—</span>

@see        - http://csswizardry.com/2010/01/the-three-types-of-dash/
@see        - https://garyjones.co.uk/dev/hyphens
@see        - https://fr.wikipedia.org/wiki/Tiret

Styleguide theme.typo.long-dash
*/
.long-dash, .em-dash { margin: 0 .5em; }

.cartouche { padding: 1.5em 0 0; text-align: left; }

.cartouche h1 { display: inline-block; font-size: 2rem; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; text-transform: uppercase; font-weight: bold; }

/* # Type Set

Styles typographiques des contenus

Markup:


Styleguide theme.typo.typeset
*/
.texte { /* # Code Blocks Basic Styling for Code Blocks http://adis.ca/entry/2011/pretty-code-block-in-css/ https://zone.spip.org/trac/spip-zone/browser/_plugins_/coloration_code/trunk/coloration_code_fonctions.php?rev=102940 Markup: <pre> <code></code> </pre> Styleguide theme.typo.code-blocks */ }

.texte h2, .texte h3, .texte h4, .texte h5, .texte h6 { font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-weight: normal; }

.texte h2 { margin-bottom: 0.75em; font-size: 1.5rem; }

.texte p, .texte .text-center { max-width: 700px; margin-bottom: 1.5em; margin-left: auto; margin-right: auto; font-size: 1rem; line-height: 1.5; font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif; font-weight: 400; font-size: 1rem; font-style: normal; }

.texte p + p, .texte .text-center + p, .texte p + .text-center, .texte .text-center + .text-center { margin-top: -0.75em; }

.texte strong { color: #878787 !important; }

.texte .text-center { text-align: center; }

.texte blockquote { font-size: 1rem; font-style: italic; margin: 1.5em 0; border-left: 8px solid silver; padding: 1.5em 0 1.5em 0.75em; background-color: rgba(0, 0, 0, 0.1); }

.texte code.spip_code { font-family: Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace; color: silver; background-color: transparent; white-space: pre; }

.texte div.spip_code, .texte textarea.spip_cadre { font-family: Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace; border-radius: 4px; background-color: #faf8f0; color: rgba(0, 0, 0, 0.7); border: 1px solid #bebab0; margin-bottom: 1.5em; }

.texte div.spip_code { white-space: nowrap; padding: 0.75em; }

.texte div.spip_code::before { content: '\007B \007D'; display: block; font-size: 1rem; float: right; color: rgba(0, 0, 0, 0.3); }

.texte div.spip_code code { font-family: Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace; font-size: 1rem; }

.texte textarea.spip_cadre { font-size: 1rem; }

/* # $Mixin $Ampersand

Call your ampersand on any element you wish from another stylesheet
using this Sass extend we've provided. For exmaple:

Use :
~~~
.ampersand { @extend %ampersand-placeholder; }
~~~

Markup:
<h6>Dewey Cheat 'em <span class="ampersand">&</span> Howe</h6>

@mixin          - ampersand($amp-font-family)
@param          - $amp-font-family
@placeholder    - ampersand-placehoder
@variable       - $amp-fontface-name : Font family for displaying ampersand with fallback font for unicode range
@variable       - $amp-fontface-source : path or src for the webfont

Styleguide Typo.Ampersand
*/
@font-face { font-family: "Ampersand"; src: local("Georgia"), local("Garamond"), local("Palatino"), local("Book Antiqua"); unicode-range: U+0026; }

@font-face { font-family: "Ampersand"; src: local("Georgia"); unicode-range: U+270C; }

.ampersand { font-family: Ampersand, Verdana, sans-serif; }



/*# sourceMappingURL=../../maps/assets/css/main.css.map */